Package org.eclipse.net4j.util.om

# Class OSGiApplication

java.lang.Object
org.eclipse.net4j.util.om.OSGiApplication

All Implemented Interfaces:
  `IApplication`

public class OSGiApplication extends Object implements IApplication
A default implementation of an OSGi `application`.

Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.equinox.app.IApplication

`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

## Constructor Summary

Constructors
Constructor
Description
`OSGiApplication(String applicationID)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doStart()`
`protected void`
`doStop()`
`IApplicationContext`
`getApplicationContext()`
`String`
`getApplicationID()`
`boolean`
`isRunning()`
`final Object`
`start(IApplicationContext context)`
`final void`
`stop()`
`static void`
`traceStart(String applicationID)`
`static void`
`traceStop(String applicationID)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OSGiApplication

public OSGiApplication(String applicationID)

## Method Details

### getApplicationID

public String getApplicationID()

### getApplicationContext

public IApplicationContext getApplicationContext()

### isRunning

public boolean isRunning()

### start

public final Object start(IApplicationContext context) throws Exception

Specified by:
  `start` in interface `IApplication`
Throws:
  `Exception`

### stop

public final void stop()

Specified by:
  `stop` in interface `IApplication`

### doStart

protected void doStart() throws Exception

Throws:
  `Exception`

### doStop

protected void doStop() throws Exception

Throws:
  `Exception`

### traceStart

public static void traceStart(String applicationID)

### traceStop

public static void traceStop(String applicationID)